Opened 8 months ago

Closed 7 months ago

#1432 closed defect (fixed)

petascope libs check

Reported by: dmisev Owned by: bphamhuu
Priority: major Milestone: 9.3
Component: petascope Version: development
Keywords: Cc: vmerticariu
Complexity: Medium

Description

I'm looking at the heaviest libs used by petascope:

1.3M	ant-1.7.0.jar
1.5M	hsqldb-2.3.3.jar
2.7M	xalan-2.7.0.jar
3.6M	sqlite-jdbc-3.7.15-M1.jar
7.1M	gt9-9.jar
8.8M	rasj-9.3.0.jar
18M	tools-1.6.jar
  • ant should definitely not be packaged?
  • hsqldb and sqlite are needed only when compiling for those options (configure option --with-petascopedb)
  • are xalan, gt9 and tools used?

Change History (4)

comment:1 Changed 7 months ago by bphamhuu

gt9 is used for crs transformation.

is hsqldb and sqlite used for Petascope ? I don't think petascopedb can work on them.

the cleanest way I checked is update pom.xml to download dependencies from maven repository as it'll reduce a lot of spaces.

btw, hsqldb and sqlite already included in pom.xml.

Last edited 7 months ago by bphamhuu (previous) (diff)

comment:2 follow-up: Changed 7 months ago by dmisev

See my notes about hsqldb and sqlite; they can be commented out in the pom.xml for now. What's the ant for and xalan for?

comment:3 in reply to: ↑ 2 Changed 7 months ago by bphamhuu

Replying to dmisev:

See my notes about hsqldb and sqlite; they can be commented out in the pom.xml for now. What's the ant for and xalan for?

no ant or xalan in the current repo, btw, I've checked and created a pom.xml in a patch (not upload yet) for all these dependencies and remove all of these jar files from the lib directory.
http://www.rasdaman.org/browser/applications/petascope/lib

comment:4 Changed 7 months ago by dmisev

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.